<?php

namespace App\Forms\Equipment;

class CHASSISForm extends EquipmentForm
{
  public function __construct()
  {
    parent::__construct();
  }
  public function getFormRule(string $action, string $field): string
  {
    switch ($field) {
      case "used":
        $rule  = "required|numeric";
        break;
      default:
        $rule = parent::getFormRule($action, $field);
        break;
    }
    return $rule;
  }
}
